NistCertPathTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jce.provider.test.nist

## Class NistCertPathTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.jce.provider.test.nist.NistCertPathTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NistCertPathTest
      extends junit.framework.TestCase

  NIST CertPath test data for RFC 3280

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NistCertPathTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `void` | `testAllCertificatesAnyPolicyTest11()`
    `void` | `testAllCertificatesNoPoliciesTest2()`
    `void` | `testAllCertificatesSamePoliciesTest10()`
    `void` | `testAllCertificatesSamePoliciesTest13()`
    `void` | `testAllCertificatesSamePolicyTest1()`
    `void` | `testAnyPolicyTest14()`
    `void` | `testCANotBeforeDateTest1()`
    `void` | `testDifferentPoliciesTest12()`
    `void` | `testDifferentPoliciesTest3()`
    `void` | `testDifferentPoliciesTest4()`
    `void` | `testDifferentPoliciesTest5()`
    `void` | `testDifferentPoliciesTest7()`
    `void` | `testDifferentPoliciesTest8()`
    `void` | `testDifferentPoliciesTest9()`
    `void` | `testInvalidCANotAfterDateTest5()`
    `void` | `testInvalidCASignatureTest2()`
    `void` | `testInvaliddistributionPointTest3()`
    `void` | `testInvaliddistributionPointTest8()`
    `void` | `testInvaliddistributionPointTest9()`
    `void` | `testInvalidDSASignaturesTest6()`
    `void` | `testInvalidEENotAfterDateTest6()`
    `void` | `testInvalidEENotBeforeDateTest2()`
    `void` | `testInvalidEESignatureTest3()`
    `void` | `testInvalidInhibitPolicyMappingTest1()`
    `void` | `testInvalidNegativeSerialNumberTest15()`
    `void` | `testInvalidonlySomeReasonsTest17()`
    `void` | `testInvalidUnknownCRLExtensionTest10()`
    `void` | `testInvalidValidPre2000UTCNotAfterDateTest7()`
    `void` | `testOverlappingPoliciesTest6()`
    `void` | `testUserNoticeQualifierTest15()`
    `void` | `testUserNoticeQualifierTest16()`
    `void` | `testUserNoticeQualifierTest17()`
    `void` | `testUserNoticeQualifierTest18()`
    `void` | `testUserNoticeQualifierTest19()`
    `void` | `testValiddistributionPointTest5()`
    `void` | `testValidDSAParameterInheritanceTest5()`
    `void` | `testValidDSASignaturesTest4()`
    `void` | `testValidGeneralizedTimeNotBeforeDateTest4()`
    `void` | `testValidinhibitPolicyMappingTest2()`
    `void` | `testValidpathLenConstraintTest13()`
    `void` | `testValidPre2000UTCNotBeforeDateTest3()`
    `void` | `testValidSelfIssuedinhibitAnyPolicyTest7()`
    `void` | `testValidSeparateCertificateandCRLKeysTest19()`
    `void` | `testValidSignaturesTest1()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NistCertPathTest

          public NistCertPathTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### testValidSignaturesTest1

          public void testValidSignaturesTest1()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidCASignatureTest2

          public void testInvalidCASignatureTest2()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidEESignatureTest3

          public void testInvalidEESignatureTest3()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidDSASignaturesTest4

          public void testValidDSASignaturesTest4()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidDSAParameterInheritanceTest5

          public void testValidDSAParameterInheritanceTest5()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidDSASignaturesTest6

          public void testInvalidDSASignaturesTest6()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCANotBeforeDateTest1

          public void testCANotBeforeDateTest1()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidEENotBeforeDateTest2

          public void testInvalidEENotBeforeDateTest2()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidPre2000UTCNotBeforeDateTest3

          public void testValidPre2000UTCNotBeforeDateTest3()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidGeneralizedTimeNotBeforeDateTest4

          public void testValidGeneralizedTimeNotBeforeDateTest4()
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidCANotAfterDateTest5

          public void testInvalidCANotAfterDateTest5()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidEENotAfterDateTest6

          public void testInvalidEENotAfterDateTest6()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidValidPre2000UTCNotAfterDateTest7

          public void testInvalidValidPre2000UTCNotAfterDateTest7()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidNegativeSerialNumberTest15

          public void testInvalidNegativeSerialNumberTest15()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAllCertificatesSamePolicyTest1

          public void testAllCertificatesSamePolicyTest1()
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAllCertificatesNoPoliciesTest2

          public void testAllCertificatesNoPoliciesTest2()
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest3

          public void testDifferentPoliciesTest3()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest4

          public void testDifferentPoliciesTest4()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest5

          public void testDifferentPoliciesTest5()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testOverlappingPoliciesTest6

          public void testOverlappingPoliciesTest6()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest7

          public void testDifferentPoliciesTest7()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest8

          public void testDifferentPoliciesTest8()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest9

          public void testDifferentPoliciesTest9()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAllCertificatesSamePoliciesTest10

          public void testAllCertificatesSamePoliciesTest10()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAllCertificatesAnyPolicyTest11

          public void testAllCertificatesAnyPolicyTest11()
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDifferentPoliciesTest12

          public void testDifferentPoliciesTest12()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAllCertificatesSamePoliciesTest13

          public void testAllCertificatesSamePoliciesTest13()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAnyPolicyTest14

          public void testAnyPolicyTest14()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUserNoticeQualifierTest15

          public void testUserNoticeQualifierTest15()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUserNoticeQualifierTest16

          public void testUserNoticeQualifierTest16()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUserNoticeQualifierTest17

          public void testUserNoticeQualifierTest17()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUserNoticeQualifierTest18

          public void testUserNoticeQualifierTest18()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testUserNoticeQualifierTest19

          public void testUserNoticeQualifierTest19()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidInhibitPolicyMappingTest1

          public void testInvalidInhibitPolicyMappingTest1()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidinhibitPolicyMappingTest2

          public void testValidinhibitPolicyMappingTest2()
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidSelfIssuedinhibitAnyPolicyTest7

          public void testValidSelfIssuedinhibitAnyPolicyTest7()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidSeparateCertificateandCRLKeysTest19

          public void testValidSeparateCertificateandCRLKeysTest19()
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValidpathLenConstraintTest13

          public void testValidpathLenConstraintTest13()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidUnknownCRLExtensionTest10

          public void testInvalidUnknownCRLExtensionTest10()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvaliddistributionPointTest3

          public void testInvaliddistributionPointTest3()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testValiddistributionPointTest5

          public void testValiddistributionPointTest5()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvaliddistributionPointTest8

          public void testInvaliddistributionPointTest8()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvaliddistributionPointTest9

          public void testInvaliddistributionPointTest9()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testInvalidonlySomeReasonsTest17

          public void testInvalidonlySomeReasonsTest17()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`